Name:           gio-qt
Version:        0.0.9
Release:        1%{?dist}
Summary:        Gio wrapper for Qt applications 
License:        LGPLv3+
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core) >= 5.6.3
BuildRequires:  glibmm24-devel
BuildRequires:  cmake >= 3.12.4
BuildRequires:  doxygen
BuildRequires:  qt5-doctools 
# for test
BuildRequires:  pkgconfig(Qt5Test)


%description
This package provides a GIO wrapper class for Qt.


%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?isa}
Requires:       glibmm24-devel%{?isa}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q
sed -i 's|qt5/doc|doc/qt5|' CMakeLists.txt

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DBUILD_TESTS=ON ..
%make_build
popd

%install
pushd %{_target_platform}
%make_install
popd

%check
pushd %{_target_platform}
make test
popd

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_qt5_docdir}/%{name}.qch


%changelog
